CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 5638
Plex.Earth connects AutoCAD and Google Earth

CAD tip CAD tip # 2130:

   
Question CAD 
 %  platform  category 
Q - question

How to select objects with negative Z coordinate?

A - answer How to select AutoCAD entities laying under the "zero level" (Z=0, Z<0)?
Try the following SelNegZ LISP routine (you can e.g. hit Del to delete the selected objects):

;(C) CAD Studio - www.cadstudio.cz
;select objects with negative Z coordinate 

(defun C:SelNegZ ()
 (setvar "CMDECHO" 0)
 (command "_UCS" "")
 (command "_VPOINT" "0,-1,0")
 (command "_SELECT" "_W" (getvar "EXTMIN") (list (car (getvar "EXTMAX")) -0.000001) "")
 (command "_ZOOM" "_P")
 (sssetfirst nil (ssget "_P"))
 (setvar "CMDECHO" 1)
 (prin1)
)
ACAD
100% *  CAD 
25.4.2002    8495×  
Prices - CAD eShop:
applies to: AutoCAD ·

See also:


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Generate hatch patterns automatically from your DWG drawings with
HGEN 2006 More info


Please use these tips at your own risk.
Arkance Systems is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist